#!/bin/sh

undo_patchinfo() {
  if [ "$PATCH_ID" ]; then
    PATCH_ID=`echo $PATCH_ID | tr "/" "_"`
    if wlookup -ar PatchInfo | grep "$PATCH_ID" > /dev/null 2>&1; then
      pi_obj=`wlookup -ar PatchInfo | grep "$PATCH_ID" | awk '{ print $2 }'`
      objcall $pi_obj _delete
    fi
    rm -f $INST_DIR/generic_unix/.installed/pa_${PATCH_ID}_GBIN
    rm -f $INST_DIR/../msg_cat/.installed/pa_${PATCH_ID}_CAT
    echo "Removed patch info for $PATCH_ID..."
  fi
}


#############################################################################
#
#	Setup Tivoli environment variables and call scripts
#	to set up product specific stuff.
#

#
# make sure this script runs in the C locale, but outmsg funcs will look at USER_LANG
#
SAVE_LANG=$LANG
if [ "$LANG" != C ]; then
  USER_LANG=$LANG; export USER_LANG
  LANG=C; export LANG
fi


#
#	Set up environment (similar to old /etc/Tivoli/setup_env.sh)
#
OSERV=`objcall 0.0.0 get_oserv`; export OSERV
INST_DIR=`objcall $OSERV query install_dir | tr "\\\\\\\\" "/"`; export INST_DIR
INTERP=`objcall $OSERV query interp`; export INTERP
BINDIR=$INST_DIR/$INTERP; export BINDIR
PLUSDIR=$INST_DIR/generic_unix/TME/PLUS
LINKDIR=$PLUSDIR/LINK; export LINKDIR
DBDIR=`objcall $OSERV query db_dir | tr "\\\\\\\\" "/"`; export DBDIR
TEMP=/tmp; export TEMP
if [ x"$OS" = x"Windows_NT" ]; then
	TEMP=$DBDIR/tmp
fi
if [ ! -d $TEMP ]; then
	$LINKDIR/mkdir.sh $TEMP
fi
PATH=$LINKDIR:$PATH; export PATH


ETC=/etc/Tivoli
SCRIPT=PLUSsetup_env.sh

#
#	If this is NT, then etc is in a different location
#
if [ x\"$OS\" = x\"Windows_NT\" ] ; then
     ETC=$SystemRoot/system32/drivers/etc/Tivoli
fi

#
#	Look for our override script
#
if [ -f $ETC/$SCRIPT ]; then
  . $ETC/$SCRIPT
fi

PATCH_ID="8.2-TWSPLUS-FP02"

undo_patchinfo

