#!/bin/sh
#
# File:		post_set_install_opts.sh
#
# Product:	Tivoli Module
# Description:	Shell Script
# Author:	Module Generator
#
# Generated:	
#
# (C) COPYRIGHT Tivoli Systems, Inc. 1997-2000
# All Rights Reserved
# Licensed Material - Property of Tivoli Systems, Inc.
#
############ include msg function utilities here ... ##############
#
############
#
# File:		BourneShellMsgFunctions.skel
#
# Product:	Tivoli Module Builder
# Description:	Shell utilities for generating localized messages
# Generated:	
#
# (C) COPYRIGHT Tivoli Systems, Inc. 1999, 2000
# All Rights Reserved
# Licensed Material - Property of Tivoli Systems, Inc.
#

outmsg() {

  ## turn off tracing for this routine
  ### d98443: this allows too much: if [ "$DEBUG" = true ]; then set +x; fi
  set +xv

  arg1=`echo "$1"`
  arg2=`echo "$2"`
  arg3=`echo "$3"`

  if [ ! "$arg3" ]; then
    eval echo '"$arg1"' '"$arg2"'
    ## turn tracing back on if applicable ...
    if [ "$DEBUG" = true ]; then set -x; fi
    return
  fi

  # got 3 or more args, we must be trying to wbindmsg ...
  file="$arg1"
  num="$arg2"
  string="`echo \"$arg3\" | sed -e 's/*/./g'`"
  shift;shift;shift
  afterstring="$*"

  ## handle up to 4 substitution args
  subarg1=`echo "$1"`; if [ "$subarg1" ]; then shift; fi
  subarg2=`echo "$1"`; if [ "$subarg2" ]; then shift; fi
  subarg3=`echo "$1"`; if [ "$subarg3" ]; then shift; fi
  subarg4=`echo "$1"`; if [ "$subarg4" ]; then shift; fi
  rest="$*"   ## not real graceful, but at least we're not throwing it away ...

  # use USER_LANG if it's set; so our wbindmsg will find the user's locale
  save_lang=$LANG
  if [ "$USER_LANG" ]; then
    LANG=$USER_LANG
  elif [ ! "$LANG" ]; then
    LANG=C
  fi

  if wbindmsg $file $num "$string" "$subarg1" "$subarg2" "$subarg3" "$subarg4" "$rest" 1> /dev/null 2>&1; then
    wbindmsg $file $num "$string" "$subarg1" "$subarg2" "$subarg3" "$subarg4" "$rest"
    echo   ## add a line ending to wbindmsg result
  else
    # couldn't use wbindmsg, but try and spit out something useful
    substitute_strings "$string" "$subarg1" "$subarg2" "$subarg3" "$subarg4" "$rest"
    if [ $? -ne 0 ]; then
      eval echo $string $afterstring
    fi
  fi

  # restore LANG
  LANG=$save_lang

  ## turn tracing back on if applicable ...
  if [ "$DEBUG" = true ]; then set -x; fi

}

errmsg() {

  ## turn off tracing for this routine ...
  ### d98443: this allows too much trace output: if [ "$DEBUG" = true ]; then set +x; fi
  set +xv

  # preserve arg format for call to outmsg()
  arg1=`echo "$1"`
  arg2=`echo "$2"`
  arg3=`echo "$3"`
  if [ "$arg3" ]; then 
    shift;shift;shift
    subarg1=`echo "$1"`; if [ "$subarg1" ]; then shift; fi
    subarg2=`echo "$1"`; if [ "$subarg2" ]; then shift; fi
    subarg3=`echo "$1"`; if [ "$subarg3" ]; then shift; fi
    subarg4=`echo "$1"`; if [ "$subarg4" ]; then shift; fi
    rest="$*"
  fi

  outmsg "$arg1" "$arg2" "$arg3" "$subarg1" "$subarg2" "$subarg3" "$subarg4" $rest >& 2

  ## turn tracing back on if applicable ...
  if [ "$DEBUG" = true ]; then set -x; fi

}

substitute_strings() {

  ## turn off tracing for this routine
  ### d98443: this allows too much trace output: if [ "$DEBUG" = true ]; then set +x; fi
  set +xv

  base="`echo \"$1\" | sed -e 's/*/./g'`"; if [ "$base" ]; then shift; fi
  sub1=`echo "$1"`; if [ "$sub1" ]; then shift; fi
  sub2=`echo "$1"`; if [ "$sub2" ]; then shift; fi
  sub3=`echo "$1"`; if [ "$sub3" ]; then shift; fi
  sub4=`echo "$1"`; if [ "$sub4" ]; then shift; fi
  xtra=`echo "$*"`


  base="`echo \"$base\" | sed -e 's/%1$s/$sub1/g'`"
  base="`echo \"$base\" | sed -e 's/%2$s/$sub2/g'`"
  base="`echo \"$base\" | sed -e 's/%3$s/$sub3/g'`"
  base="`echo \"$base\" | sed -e 's/%4$s/$sub4/g'`"
  base="`eval echo $base`"
  xtra="`eval echo $xtra`"
  eval echo '"$base"' '"$xtra"'
  retval=$?

  ## turn tracing back on if applicable ...
  if [ "$DEBUG" = true ]; then set -x; fi

  return $retval

}

#
#       xlate_var -- please pass in a var name, not its value!
#                    we construct variables appending var name 
#                    with _MSGFILE and _MSGID, and use those values
#
xlate_var() {
  varname="$1"
  eval default_val='"$'${varname}'"'
  if [ ! "$default_val" ]; then
    default_val="$1"
  fi
  eval msgid='"$'${varname}'_MSGID"'
  eval msgfile='"$'${varname}'_MSGFILE"'
  outmsg $msgfile $msgid "$default_val"
}

#
######## End of MsgUtilsInclude.skel
#
############     end of msg function utilities        ##############

if [ -n "" ]; then
	set -x
fi

#
#       Set up environment (similar to old /etc/Tivoli/setup_env.sh)
#
OSERV=`objcall 0.0.0 get_oserv`; export OSERV
INST_DIR=`objcall $OSERV query install_dir | tr "\\\\\\\\" "/"`; export INST_DIR
INTERP=`objcall $OSERV query interp`; export INTERP
BINDIR=$INST_DIR/$INTERP; export BINDIR
PLUSDIR=$INST_DIR/generic_unix/TME/PLUS
LINKDIR=$PLUSDIR/LINK; export LINKDIR
DBDIR=`objcall $OSERV query db_dir | tr "\\\\\\\\" "/"`; export DBDIR
TEMP=/tmp; export TEMP
if [ x"$OS" = x"Windows_NT" ]; then
        TEMP=$DBDIR/tmp
fi
if [ ! -d $TEMP ]; then
        $LINKDIR/mkdir.sh $TEMP
fi
PATH=$LINKDIR:$PATH; export PATH

#
#	The standard directory and the /Plus override script
#
ETC=/etc/Tivoli
SCRIPT=PLUSsetup_env.sh

#
#	If this is NT, then etc is in a different location
#
if [ x\"$OS\" = x\"Windows_NT\" ] ; then
     ETC=$SystemRoot/system32/drivers/etc/Tivoli
fi

#
#	Look for our override script, if not there, then use the
#		standard one.
#
if [ -f $ETC/$SCRIPT ]; then
	. $ETC/$SCRIPT
fi


#
#	Set up some popular environment variables.
#
REGION=`objcall $OSERV query whoami | awk '{print $1}'`
LIBRARY=`wlookup Library`

#
#	Get the region name to avoid collisions
#
IRO=`wlookup InterRegion`
IRONAME=`idlattr -t -g $IRO name string`
IRONAME=`eval echo $IRONAME`

DEFSEN=\"TivoliSentryDefaults#$IRONAME\"

MNOID=`objcall 0.0.0 get_host_location`
eval MNNAME=`idlattr -t -g $MNOID label string`
export MNNAME

PLUSDIR=$INST_DIR/generic_unix/TME/PLUS
LINKDIR=$PLUSDIR/LINK
PRODDIR=$PLUSDIR/TWS
PATH=$LINKDIR:$PRODDIR:$PATH
export PATH

cd $PRODDIR

. ./PLUSproduct-info.sh

#
#	Debugging code: by creating a directory called .plusdebug in
#		the appropriate TEMP directory, the output of scripts is
#		redirected to a file in TEMP by the same name as the script.
#

DEBUGDIR=$TEMP/.plusdebug

SCRIPTNAME=`echo $0 | tr "\\\\\\\\" "/"`
SCRIPTNAME=`basename $SCRIPTNAME`

[ -d "$DEBUGDIR" ] && exec > $DEBUGDIR/$SCRIPTNAME 2>&1 && set -xv
[ -f "$DEBUGDIR" ] && set -xv

TASK_NAME="Product_Install"
ARGLIST="TWS_User_Name TWS_Installation_Directory Job_Scheduling_Console_Installation_Directory"
COMPONENT_NAME="Set Install Options for TWS"

DIALOG_DESCRIPTOR="set_install_opts.sh.d"

if [ "$DIALOG_DESCRIPTOR" = "$INSTALL_OPTS_DIALOG" ]; then
  IS_INSTALL_OPTS=true
  ARGS_TO_ITERATE="$INSTALL_OPTS"
else
  IS_INSTALL_OPTS=false
  ARGS_TO_ITERATE="$ARGLIST"
fi

ARGS=""

#
#	First retrieve the previous values for the arguments
#
for var in $ARGS_TO_ITERATE; do
	if [ "$IS_INSTALL_OPTS" = true ]; then

		# each INSTALL_OPT needs "eval'ed" and a different pres object
		eval REALVAR='"$'$var'"'
		eval OPTNAME='"$'$var'_NAME"'

		#	This is the name of the presentation object on which
		#		install opts variables are hung.
		PRESNAME=@Presentation:"$OPTNAME"_"$MNNAME"
	else
		REALVAR="$var"
		PRESNAME=@Presentation:"$COMPONENT_NAME"_"$MNNAME"_"$MEDIUM_PRODNAME"
	fi		

	#	Retrieve the current value, tack on quotes needed by wpostdialog
	VALUE=`wgetattr $REALVAR "$PRESNAME"` >/dev/null 2>&1
	VALUE=\""'$VALUE'"\" 

	#	accumulate the arguments for the call to wpostdialog
	ARGS="$ARGS $REALVAR $VALUE"
done

#
#	Display the dialog with the current settings
#
DIALOG_NAME=\""'$TASK_NAME'"\"
eval wpostdialog $DIALOG_DESCRIPTOR dialog_name $DIALOG_NAME \
	$ARGS application APPICON

#
#	Check the return code from the dialog
#
if [ $? -ne 0 ] ; then
        msg=`outmsg TMB_skel 47 "Unable to post the argument prompt dialog"`
	wdispmsg $msg
	exit 1
fi

exit 0

